Name:           winegui
Version:        2.8.1
Release:        0.7%{?dist}
Summary:        A user-friendly WINE manager

License:        AGPL-3.0-or-later
URL:            https://gitlab.melroy.org/melroy/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
Source1:        org.melroy.%{name}.metainfo.xml

# This package is only useful on architectures that are supported by WINE.
ExclusiveArch:  %{ix86} x86_64

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  hardlink
BuildRequires:  libappstream-glib
BuildRequires:  ninja-build
BuildRequires:  pkgconfig(gdkmm-3.0)
BuildRequires:  pkgconfig(gtk+-3.0)

Recommends:     vulkan
Recommends:     vulkan-loader

Requires:       cabextract
Requires:       hicolor-icon-theme
Requires:       p7zip
Requires:       unzip
Requires:       wget
Requires:       wine%{?_isa}
Requires:       winetricks


%description
WineGUI is a friendly interface for Wine.  Allowing you to easily manage
your Wine machines/bottles.

WineGUI contains many features and conveniences, including but not limited to:

  * easy step-by-step wizard for creating a new machine
  * built-in application list
  * editing machines and configure your machine with a single click

Plus so much more!


%prep
%autosetup -n %{name}-v%{version}

# Set project version properly.
printf %%s %{version} > version.txt


%build
%cmake                                      \
  -GNinja                                   \
  -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo  \
  -DGSETTINGS_LOCALCOMPILE:BOOL=OFF
%cmake_build


%install
%cmake_install

# Install AppStream metadata.
install -dm 0755 %{buildroot}%{_metainfodir}
install -pm 0644 %{SOURCE1} %{buildroot}%{_metainfodir}

# Hardlink duplicate files.
hardlink -cdm %{buildroot}%{_datadir}/%{name}


%check
appstream-util                                    \
  validate-relax --nonet                          \
  %{buildroot}%{_metainfodir}/*.metainfo.xml
desktop-file-validate                             \
  %{buildroot}%{_datadir}/applications/*.desktop


%files
%doc CHANGELOG
%doc README.md
%license CODEOWNERS
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.melroy.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}
%{_metainfodir}/org.melroy.%{name}.metainfo.xml


%changelog
* Sun Jul 13 2025 Björn Esser <besser82@fedoraproject.org> - 2.8.1-0.7
- Add runtime recommendations: vulkan, vulkan-loader

* Sun Jul 13 2025 Björn Esser <besser82@fedoraproject.org> - 2.8.1-0.6
- Add runtime requirement: winetricks

* Sun Jul 13 2025 Björn Esser <besser82@fedoraproject.org> - 2.8.1-0.5
- Hardlink duplicate files

* Sun Jul 13 2025 Björn Esser <besser82@fedoraproject.org> - 2.8.1-0.4
- Add runtime requirements: cabextract, unzip, p7zip, wget

* Sun Jul 13 2025 Björn Esser <besser82@fedoraproject.org> - 2.8.1-0.3
- Limit build to architectures that are supported by WINE

* Sun Jul 13 2025 Björn Esser <besser82@fedoraproject.org> - 2.8.1-0.2
- Add AppStream metadata file

* Sun Jul 13 2025 Björn Esser <besser82@fedoraproject.org> - 2.8.1-0.1
- Initial specfile draft
